import type { Options as UseAsyncProps } from '@useweb/use-async';
export declare type Props = {
    name: string;
    fetchOptions?: RequestInit;
    onResult?: UseAsyncProps['onResult'];
    onLoading?: UseAsyncProps['onLoading'];
    onError?: UseAsyncProps['onError'];
};
declare type FetchProps = {
    data?: object | object[];
};
/**
 * [Docs](https://useweb.dev/?path=/docs/packages-serverless-firebase-functions-usefirebasefunction--example)
 *
 * [Firebase Functions docs](https://firebase.google.com/docs/functions/get-startedt)
 *
 * [Fetch Options](https://developer.mozilla.org/en-US/docs/Web/API/fetch#parameters)
 *
 * @example
 * const helloWorld = useFirebaseFunction({name: 'helloWorld'})
 *
 */
export default function useFirebaseFunction({ name, fetchOptions, onResult, onError, onLoading, }: Props): {
    fetcher: (options?: FetchProps) => Promise<any>;
    exec: (options?: FetchProps) => void;
    error: undefined;
    loading: boolean;
    result: any;
};
export {};
